[FFmpeg-cvslog] r20015 - trunk/version.sh

alexc subversion
Thu Sep 24 18:54:27 CEST 2009


Author: alexc
Date: Thu Sep 24 18:54:26 2009
New Revision: 20015

Log:
Check if a git-svn revision number is available to try to get better version
information from git.

Modified:
   trunk/version.sh

Modified: trunk/version.sh
==============================================================================
--- trunk/version.sh	Thu Sep 24 17:37:09 2009	(r20014)
+++ trunk/version.sh	Thu Sep 24 18:54:26 2009	(r20015)
@@ -10,6 +10,12 @@ q
 }' .svn/entries 2>/dev/null)
 test $revision && revision=SVN-r$revision
 
+# check for git svn revision number
+if ! test $revision; then
+    revision=$(cd "$1" && git svn find-rev HEAD)
+    test $revision && revision=git-svn-r$revision
+fi
+
 # check for git short hash
 if ! test $revision; then
     revision=$(cd "$1" && git log -1 --pretty=format:%h)



More information about the ffmpeg-cvslog mailing list